summaryrefslogtreecommitdiffhomepage
diff options
context:
space:
mode:
authorLinus Färnstrand <linus@mullvad.net>2022-02-21 12:10:28 +0100
committerLinus Färnstrand <linus@mullvad.net>2022-02-21 12:10:28 +0100
commit6f39dbf8c19ab93afddb042953f903e69d7707ad (patch)
tree83a0f6bdf416b29461517ae60508ad73d32e7b93
parent1e916c60603309757db3617fe3c56d570749cf95 (diff)
parent832cab1037fc34625c8faf539ff0c6cc173632dc (diff)
downloadmullvadvpn-6f39dbf8c19ab93afddb042953f903e69d7707ad.tar.xz
mullvadvpn-6f39dbf8c19ab93afddb042953f903e69d7707ad.zip
Merge branch 'clarify-gui-changes.txt'
-rw-r--r--gui/changes.txt9
-rwxr-xr-xprepare-release.sh5
2 files changed, 10 insertions, 4 deletions
diff --git a/gui/changes.txt b/gui/changes.txt
index 20fab22b44..75b0418348 100644
--- a/gui/changes.txt
+++ b/gui/changes.txt
@@ -1,4 +1,5 @@
-Add multihop with WireGuard tunnels. Can be enabled under the advanced settings.
-Add malware blocking. Can be found under preferences.
-[macOS] Fix slow wakeups from sleep. The internet and VPN tunnels should now come up instantly.
-[Windows] Make WireGuardNT the default driver for WireGuard. If you use WireGuard, you can potentially see significant performance increases.
+CHANGE THIS BEFORE A RELEASE
+Each line is treated as a separate change item shown in the GUI the first time it runs after install.
+Start each line with a capital letter and end each line with a period.
+[macOS, Windows, linux] To make an entry platform specific, start the line with an angle bracket enclosed comma separated list of platforms to show the entry on.
+Only point out the major changes.
diff --git a/prepare-release.sh b/prepare-release.sh
index 733d527f46..b29a9f4a34 100755
--- a/prepare-release.sh
+++ b/prepare-release.sh
@@ -46,6 +46,11 @@ if [[ $(git diff --shortstat 2> /dev/null | tail -n1) != "" ]]; then
exit 1
fi
+if [[ $DESKTOP == "true" && $(grep "CHANGE THIS BEFORE A RELEASE" gui/changes.txt) != "" ]]; then
+ echo "It looks like you did not update gui/changes.txt"
+ exit 1
+fi
+
if [[ $(grep "^## \\[$PRODUCT_VERSION\\] - " CHANGELOG.md) == "" ]]; then
echo "It looks like you did not add $PRODUCT_VERSION to the changelog?"
echo "Please make sure the changelog is up to date and correct before you proceed."